export default {
  install(Vue) {
    Vue.mixin({
      updated() {
        this.$nextTick(() => {
          this.processTextNodes(this.$el)
        })
      },
      methods: {
        processTextNodes(el) {
          // 遍历子节点并处理文本内容
          if (el.nodeType === Node.ELEMENT_NODE) {
            Array.from(el.childNodes).forEach(child => {
              if (child.nodeType === Node.TEXT_NODE) {
                child.textContent = this.$i18n.t(child.textContent.trim())
              } else {
                this.processTextNodes(child)
              }
            })
          }
        }
      }
    })
  }
}
